/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Includes
#ifndef _OPTIONSTATE_H
#define _OPTIONSTATE_H

#include "Engine.h"

class OptionState : public CGameState
{
	public:
      void Init();
      void Cleanup();

      void Pause();
      void Resume();

      void HandleEvents(StateManager * game);
      void Update(StateManager * game);
      void Draw(StateManager * game);

      static OptionState* Instance()
      {
         return &m_OptionState;
      }
      
      
	protected:
     OptionState() { }

	private:
      static OptionState m_OptionState;
      CSprite pointer;
      int currentMenu;

};

#endif
